离子生成android错误无法获取'http://jcenter.bintray.com…'

我've searched for hours and none of them can solve my issue. I' ve检查了 ionic info 命令,这就是结果

@ ionic / cli-utils:1.19.2离子(离子CLI):3.20.0

全球套餐:

cordova (Cordova CLI) : 8.0.0

本地包裹:

@ionic/app-scripts : 3.1.8
Cordova Platforms  : android 7.0.0
Ionic Framework    : ionic-angular 3.9.2

系统:

Android SDK Tools : 26.1.1
Node              : v8.11.1
npm               : 5.6.0
OS                : Windows 10

环境变量:

ANDROID_HOME : C:\Users\admin\AppData\Local\Android\sdk

其他:

backend : pro

我运行的命令 ionic cordova build --debug android 并且因此错误而失败

FAILURE:构建因异常而失败 .

  • 出了什么问题:配置根项目'android'时出现问题 .

无法解析配置':classpath'的所有文件 . 无法解析org.jetbrains.kotlin:kotlin-stdlib:1.1.3-2 . 要求:project:> com.android.tools.build:gradle:3.0.0> com.android.tools.build:gradle-core:3.0.0 project:> com.android.tools.build:gradle:3.0 . 0> com.android.tools.build:gradle-core:3.0.0> com.android.tools.build:builder:3.0.0 project:> com.android.tools.build:gradle:3.0.0> com . android.tools.build:gradle-core:3.0.0> com.android.tools.lint:lint:26.0.0 project:> com.android.tools.build:gradle:3.0.0> com.android.tools . build:gradle-core:3.0.0> com.android.tools.build:builder:3.0.0> com.android.tools:sdk-common:26.0.0 project:> com.android.tools.build:gradle: 3.0.0> com.android.tools.build:gradle-core:3.0.0> com.android.tools.build:builder:3.0.0> com.android.tools:sdklib:26.0.0> com.android . 工具:存储库:26.0.0项目:> com.android.tools.build:gradle:3.0.0> com.android.tools.build:gradle-core:3.0.0> com.android.tools.lint:lint: 26.0.0> com.android.tools.lint:lint-checks:26.0.0> com.android.tools.lint:lint-api:26.0.0无法解析org.jetbrains.kotlin:k otlin-STDLIB:1.1.3-2 . 无法获得资源'http://jcenter.bintray.com/org/jetbrains/kotlin/kotlin-stdlib/1.1.3-2/kotlin-stdlib-1.1.3-2.pom' . 无法获得'http://jcenter.bintray.com/org/jetbrains/kotlin/kotlin-stdlib/1.1.3-2/kotlin-stdlib-1.1.3-2.pom' . 连接到jcenter.bintray.com:80 [jcenter.bintray.com/159.122.18.156]失败:连接超时:connect无法解析org.ow2.asm:asm:5.1 . 要求:project:> com.android.tools.build:gradle:3.0.0> com.android.tools.build:gradle-core:3.0.0 project:> com.android.tools.build:gradle:3.0 . 0> com.android.tools.build:gradle-core:3.0.0> com.android.tools.build:builder:3.0.0 project:> com.android.tools.build:gradle:3.0.0> com . android.tools.build:gradle-core:3.0.0> com.android.tools.lint:lint:26.0.0> com.android.tools.lint:lint-checks:26.0.0> com.android.tools . lint:lint-api:26.0.0无法解析org.ow2.asm:asm:5.1 . 无法获得资源'http://jcenter.bintray.com/org/ow2/asm/asm/5.1/asm-5.1.pom' . 无法获得'http://jcenter.bintray.com/org/ow2/asm/asm/5.1/asm-5.1.pom' . 连接到jcenter.bintray.com:80 [jcenter.bintray.com/159.122.18.156]失败:连接超时:connect无法解析org.ow2.asm:asm-analysis:5.1 . 要求:project:> com.android.tools.build:gradle:3.0.0> com.android.tools.build:gradle-core:3.0.0 project:> com.android.tools.build:gradle:3.0 . 0> com.android.tools.build:gradle-core:3.0.0> com.android.tools.lint:lint:26.0.0> com.android.tools.lint:lint-checks:26.0.0无法解析org.ow2.asm:ASM-分析:5.1 . 无法获得资源'http://jcenter.bintray.com/org/ow2/asm/asm-analysis/5.1/asm-analysis-5.1.pom' . 无法获取'http://jcenter.bintray.com/org/ow2/asm/asm-analysis/5.1/asm-analysis-5.1.pom' . 连接到jcenter.bintray.com:80 [jcenter.bintray.com/159.122.18.156]失败:连接超时:连接

没有我们正在使用的代理 . 我不知道在这一点上我错过了什么 .

回答(1)

2 years ago

如果有人有同样的问题,我已经在我的机器上安装了VPN,现在能够下载所需的文件,一切正常 .